## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.tableeditor.pages.constraints
Class TreeViewerContentProvider

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.tableeditor.pages.constraints.TreeViewerContentProvider

All Implemented Interfaces:
  org.eclipse.jface.viewers.IContentProvider, org.eclipse.jface.viewers.IStructuredContentProvider, org.eclipse.jface.viewers.ITreeContentProvider

    public class TreeViewerContentProvider

extends java.lang.Object
implements org.eclipse.jface.viewers.ITreeContentProvider

A common content provider for a tree viewer which uses `FloderNode` as the floder on the tree and use `LeafNode` as the leaf on the tree.

Author:
  Idull
See Also:
  `FolderNode`, `LeafNode`

Constructor Summary
`TreeViewerContentProvider()`

Method Summary
`void` `dispose()`
`java.lang.Object[]` `getChildren(java.lang.Object parentElement)`
`java.lang.Object[]` `getElements(java.lang.Object inputElement)`
`java.lang.Object` `getParent(java.lang.Object element)`
`boolean` `hasChildren(java.lang.Object element)`
`void` `inputChanged(org.eclipse.jface.viewers.Viewer viewer, java.lang.Object oldInput, java.lang.Object newInput)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeViewerContentProvider

    public TreeViewerContentProvider()

Method Detail

### getChildren

    public java.lang.Object[] getChildren(java.lang.Object parentElement)

  Specified by:
    `getChildren` in interface `org.eclipse.jface.viewers.ITreeContentProvider`

### getParent

    public java.lang.Object getParent(java.lang.Object element)

  Specified by:
    `getParent` in interface `org.eclipse.jface.viewers.ITreeContentProvider`

### hasChildren

    public boolean hasChildren(java.lang.Object element)

  Specified by:
    `hasChildren` in interface `org.eclipse.jface.viewers.ITreeContentProvider`

### getElements

    public java.lang.Object[] getElements(java.lang.Object inputElement)

  Specified by:
    `getElements` in interface `org.eclipse.jface.viewers.IStructuredContentProvider`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.jface.viewers.IContentProvider`

### inputChanged

    public void inputChanged(org.eclipse.jface.viewers.Viewer viewer,
                             java.lang.Object oldInput,
                             java.lang.Object newInput)

  Specified by:
    `inputChanged` in interface `org.eclipse.jface.viewers.IContentProvider`